Skip to main content
GET
/
api
/
issues
/
v2
ListIssues
curl --request GET \
  --url https://developer.synq.io/api/issues/v2 \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://developer.synq.io/api/issues/v2"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://developer.synq.io/api/issues/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pageInfo": {
    "totalCount": 123,
    "count": 123,
    "lastId": "<string>"
  },
  "issueIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entitiesQuery.parts.identifierList.identifiers.dbtCoreNode.integrationId
string
required

Opaque identifier of the dbt Core project. Usually the Coalesce Quality integration id (a UUID), but may also be the dbt project name from manifest.json when the integration is configured to identify assets by project name. Treat it as an opaque string, not a UUID.

entitiesQuery.parts.identifierList.identifiers.dbtCoreNode.nodeId
string
required

Dbt node_id that identifies one of dbt DAG nodes (model, test, etc)

entitiesQuery.parts.identifierList.identifiers.dbtCloudNode.projectId
string
required

Your dbt Cloud project id

entitiesQuery.parts.identifierList.identifiers.dbtCloudNode.accountId
string

Your dbt Cloud account id

entitiesQuery.parts.identifierList.identifiers.dbtCloudNode.nodeId
string
required

Dbt node_id that identifies one of dbt DAG nodes (model, test, etc)

entitiesQuery.parts.identifierList.identifiers.bigqueryTable.project
string
required

BigQuery project

entitiesQuery.parts.identifierList.identifiers.bigqueryTable.dataset
string
required

BigQuery dataset id

entitiesQuery.parts.identifierList.identifiers.bigqueryTable.table
string
required

BigQuery table name

entitiesQuery.parts.identifierList.identifiers.snowflakeTable.account
string
required

Snowflake account

entitiesQuery.parts.identifierList.identifiers.snowflakeTable.database
string
required

Snowflake database

entitiesQuery.parts.identifierList.identifiers.snowflakeTable.schema
string
required

Snowflake schema

entitiesQuery.parts.identifierList.identifiers.snowflakeTable.table
string
required

Snowflake table

entitiesQuery.parts.identifierList.identifiers.redshiftTable.cluster
string

Redshift cluster

entitiesQuery.parts.identifierList.identifiers.redshiftTable.database
string
required

Redshift database

entitiesQuery.parts.identifierList.identifiers.redshiftTable.schema
string
required

Redshift schema

entitiesQuery.parts.identifierList.identifiers.redshiftTable.table
string
required

Redshift table

entitiesQuery.parts.identifierList.identifiers.postgresTable.host
string
required

Postgres hostname without port

entitiesQuery.parts.identifierList.identifiers.postgresTable.database
string
required

Postgres database

entitiesQuery.parts.identifierList.identifiers.postgresTable.schema
string
required

Postgres schema

entitiesQuery.parts.identifierList.identifiers.postgresTable.table
string
required

Postgres table

entitiesQuery.parts.identifierList.identifiers.mysqlTable.host
string
required

Mysql hostname without port

entitiesQuery.parts.identifierList.identifiers.mysqlTable.schema
string
required

Mysql database

entitiesQuery.parts.identifierList.identifiers.mysqlTable.table
string
required

Mysql table

entitiesQuery.parts.identifierList.identifiers.clickhouseTable.host
string
required

Clickhouse hostname without port

entitiesQuery.parts.identifierList.identifiers.clickhouseTable.schema
string
required

Clickhouse database

entitiesQuery.parts.identifierList.identifiers.clickhouseTable.table
string
required

Clickhouse table

entitiesQuery.parts.identifierList.identifiers.airflowDag.integrationId
string
required

Coalesce Quality integration_id that identifies the Airflow instance

entitiesQuery.parts.identifierList.identifiers.airflowDag.dagId
string
required

Airflow dag_id that identifies the DAG

entitiesQuery.parts.identifierList.identifiers.airflowTask.integrationId
string
required

Coalesce Quality integration_id that identifies the Airflow instance

entitiesQuery.parts.identifierList.identifiers.airflowTask.dagId
string
required

Airflow dag_id that identifies the DAG

entitiesQuery.parts.identifierList.identifiers.airflowTask.taskId
string
required

Airflow task_id that identifies the task within the DAG

entitiesQuery.parts.identifierList.identifiers.custom.id
string
required

Id that identifies the custom entity The Id should be unique within the custom entity Identifier.

entitiesQuery.parts.identifierList.identifiers.dataproduct.id
string<uuid>
required

Dataproduct id that identifies the Dataproduct

entitiesQuery.parts.identifierList.identifiers.synqPath.path
string
required

Coalesce Quality path that identifies the Coalesce Quality entity, needs to be one of supported paths

entitiesQuery.parts.identifierList.identifiers.databricksTable.workspace
string
required

URL of Databricks workspace

entitiesQuery.parts.identifierList.identifiers.databricksTable.catalog
string
required

Databricks catalog

entitiesQuery.parts.identifierList.identifiers.databricksTable.schema
string
required

Databricks schema

entitiesQuery.parts.identifierList.identifiers.databricksTable.table
string
required

Databricks table or view

entitiesQuery.parts.identifierList.identifiers.trinoTable.host
string
required

Hostname of the Trino instance

entitiesQuery.parts.identifierList.identifiers.trinoTable.catalog
string
required

Trino catalog

entitiesQuery.parts.identifierList.identifiers.trinoTable.schema
string
required

Trino schema

entitiesQuery.parts.identifierList.identifiers.trinoTable.table
string
required

Trino table or view

entitiesQuery.parts.identifierList.identifiers.sqlMeshModel.integrationId
string<uuid>
required

Coalesce Quality integration_id that identifies the dbt Core project

entitiesQuery.parts.identifierList.identifiers.sqlMeshModel.fqn
string
required

SQLMesh model fully qualified name

entitiesQuery.parts.identifierList.identifiers.sqlMeshAudit.integrationId
string<uuid>
required

Coalesce Quality integration_id that identifies the dbt Core project

entitiesQuery.parts.identifierList.identifiers.sqlMeshAudit.fqn
string
required

SQLMesh model fully qualified name

entitiesQuery.parts.identifierList.identifiers.sqlMeshAudit.auditId
string
required

Identifier of the audit

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.mssqlTable.host
string
required

Hostname of the SQL Server instance

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.mssqlTable.database
string
required

SQL Server database

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.mssqlTable.schema
string
required

SQL Server schema (e.g. "dbo")

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.mssqlTable.table
string
required

SQL Server table or view

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.oracleTable.host
string
required

Hostname of the Oracle instance

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.oracleTable.serviceName
string
required

Oracle service name (PDB)

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.oracleTable.schema
string
required

Oracle schema (= owning user)

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.oracleTable.table
string
required

Oracle table or view

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.athenaTable.instance
string
required

AWS account and region the Athena workgroup runs in, formatted as "." (e.g. "123456789012.eu-west-1"). Auto-derived from sts:GetCallerIdentity at integration setup time.

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.athenaTable.catalog
string
required

Glue Data Catalog name. Almost always "AwsDataCatalog" — the default catalog for Athena unless the customer registered a federated catalog.

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.athenaTable.database
string
required

Glue database (the namespace users typically filter on).

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.athenaTable.table
string
required

Glue table or view name.

entitiesQuery.parts.identifierList.identifiers.monitor.monitoredId.savedView.id
string<uuid>
required

Saved view id (client-supplied UUID) that identifies the saved view

entitiesQuery.parts.identifierList.identifiers.monitor.monitorId
string
required

Identifier of the monitor

entitiesQuery.parts.identifierList.identifiers.monitor.segment
string

Optional monitor segmentation identifier

entitiesQuery.parts.identifierList.identifiers.monitor.integrationId
string
deprecated

Coalesce Quality integration_id of the monitored identifier

entitiesQuery.parts.withNameSearch.searchQuery
string
entitiesQuery.parts.withType.type.default
enum<string>

Default Coalesce Quality types

Available options:
ENTITY_TYPE_UNSPECIFIED,
ENTITY_TYPE_BQ_TABLE,
ENTITY_TYPE_BQ_VIEW,
ENTITY_TYPE_LOOKER_LOOK,
ENTITY_TYPE_LOOKER_EXPLORE,
ENTITY_TYPE_LOOKER_VIEW,
ENTITY_TYPE_LOOKER_DASHBOARD,
ENTITY_TYPE_DBT_MODEL,
ENTITY_TYPE_DBT_TEST,
ENTITY_TYPE_DBT_SOURCE,
ENTITY_TYPE_DBT_PROJECT,
ENTITY_TYPE_DBT_METRIC,
ENTITY_TYPE_DBT_SNAPSHOT,
ENTITY_TYPE_DBT_SEED,
ENTITY_TYPE_DBT_ANALYSIS,
ENTITY_TYPE_DBT_EXPOSURE,
ENTITY_TYPE_DBT_GROUP,
ENTITY_TYPE_DBT_SEMANTIC_MODEL,
ENTITY_TYPE_DBT_CLOUD_PROJECT,
ENTITY_TYPE_DBT_CLOUD_JOB,
ENTITY_TYPE_SNOWFLAKE_TABLE,
ENTITY_TYPE_SNOWFLAKE_VIEW,
ENTITY_TYPE_SNOWFLAKE_STREAM,
ENTITY_TYPE_SNOWFLAKE_DYNAMIC_TABLE,
ENTITY_TYPE_SNOWFLAKE_TASK,
ENTITY_TYPE_SNOWFLAKE_EXTERNAL_TABLE,
ENTITY_TYPE_SNOWFLAKE_MATERIALIZED_VIEW,
ENTITY_TYPE_SNOWFLAKE_PROCEDURE,
ENTITY_TYPE_SNOWFLAKE_FUNCTION,
ENTITY_TYPE_SNOWFLAKE_SEMANTIC_VIEW,
ENTITY_TYPE_REDSHIFT_TABLE,
ENTITY_TYPE_REDSHIFT_VIEW,
ENTITY_TYPE_REDSHIFT_PROCEDURE,
ENTITY_TYPE_REDSHIFT_FUNCTION,
ENTITY_TYPE_TABLEAU_EMBEDDED,
ENTITY_TYPE_TABLEAU_PUBLISHED,
ENTITY_TYPE_TABLEAU_CUSTOM_SQL,
ENTITY_TYPE_TABLEAU_TABLE,
ENTITY_TYPE_TABLEAU_SHEET,
ENTITY_TYPE_TABLEAU_DASHBOARD,
ENTITY_TYPE_AIRFLOW_DAG,
ENTITY_TYPE_AIRFLOW_TASK,
ENTITY_TYPE_CLICKHOUSE_TABLE,
ENTITY_TYPE_CLICKHOUSE_VIEW,
ENTITY_TYPE_ANOMALY_MONITOR,
ENTITY_TYPE_ANOMALY_MONITOR_SEGMENT,
ENTITY_TYPE_SQLTEST_TEST,
ENTITY_TYPE_RECON_SUITE,
ENTITY_TYPE_RECON_CASE,
ENTITY_TYPE_POSTGRES_TABLE,
ENTITY_TYPE_POSTGRES_VIEW,
ENTITY_TYPE_MYSQL_TABLE,
ENTITY_TYPE_MYSQL_VIEW,
ENTITY_TYPE_DATABRICKS_WAREHOUSE,
ENTITY_TYPE_DATABRICKS_TABLE,
ENTITY_TYPE_DATABRICKS_VIEW,
ENTITY_TYPE_DATABRICKS_JOB,
ENTITY_TYPE_DATABRICKS_JOB_TASK,
ENTITY_TYPE_DATABRICKS_NOTEBOOK,
ENTITY_TYPE_DATABRICKS_QUERY,
ENTITY_TYPE_DATABRICKS_DASHBOARD,
ENTITY_TYPE_SQLMESH_PROJECT,
ENTITY_TYPE_SQLMESH_SQL_MODEL,
ENTITY_TYPE_SQLMESH_PYTHON_MODEL,
ENTITY_TYPE_SQLMESH_EXTERNAL,
ENTITY_TYPE_SQLMESH_SEED,
ENTITY_TYPE_SQLMESH_AUDIT,
ENTITY_TYPE_SQLMESH_UNIT_TEST,
ENTITY_TYPE_SQLMESH_ENVIRONMENT,
ENTITY_TYPE_SQLMESH_SNAPSHOT,
ENTITY_TYPE_DUCKDB_TABLE,
ENTITY_TYPE_DUCKDB_VIEW,
ENTITY_TYPE_TRINO_TABLE,
ENTITY_TYPE_TRINO_VIEW,
ENTITY_TYPE_ATLAN_ASSET,
ENTITY_TYPE_ATLAN_INTEGRATION,
ENTITY_TYPE_COALESCE_PROJECT,
ENTITY_TYPE_COALESCE_ENVIRONMENT,
ENTITY_TYPE_COALESCE_NODE,
ENTITY_TYPE_COALESCE_NODE_TEST,
ENTITY_TYPE_COALESCE_JOB,
ENTITY_TYPE_CASTORDOC_TABLE,
ENTITY_TYPE_CASTORDOC_DASHBOARD,
ENTITY_TYPE_CASTORDOC_VIEW,
ENTITY_TYPE_CASTORDOC_TILE,
ENTITY_TYPE_CASTORDOC_VIZ_MODEL,
ENTITY_TYPE_POWERBI_REPORT,
ENTITY_TYPE_POWERBI_TILE,
ENTITY_TYPE_POWERBI_DATASET,
ENTITY_TYPE_THOUGHTSPOT_LIVEBOARD,
ENTITY_TYPE_THOUGHTSPOT_WORKSHEET,
ENTITY_TYPE_SIGMA_WORKBOOK,
ENTITY_TYPE_SIGMA_DATA_MODEL,
ENTITY_TYPE_DOMO_PAGE,
ENTITY_TYPE_DOMO_DATASET,
ENTITY_TYPE_MSSQL_TABLE,
ENTITY_TYPE_MSSQL_VIEW,
ENTITY_TYPE_ORACLE_TABLE,
ENTITY_TYPE_ORACLE_VIEW,
ENTITY_TYPE_ATHENA_TABLE,
ENTITY_TYPE_ATHENA_VIEW,
ENTITY_TYPE_CUSTOM_ENTITY_GENERIC,
ENTITY_TYPE_CUSTOM_ENTITY_CUSTOM_TYPE_MIN,
ENTITY_TYPE_CUSTOM_ENTITY_CUSTOM_TYPE_MAX
entitiesQuery.parts.withType.type.custom
integer<int32>

Custom types as defined through synq.entities.custom.v1.TypesService

entitiesQuery.parts.withAnnotation.name
string
entitiesQuery.parts.withAnnotation.acceptedValue
string
deprecated
entitiesQuery.parts.withAnnotation.acceptedValues
string[]
entitiesQuery.parts.inDataPlatform.identifier.bigquery.project
string
required

BigQuery project

entitiesQuery.parts.inDataPlatform.identifier.clickhouse.host
string
required

Clickhouse host inclusive of port

entitiesQuery.parts.inDataPlatform.identifier.clickhouse.schema
string
required

Clickhouse database

entitiesQuery.parts.inDataPlatform.identifier.snowflake.account
string
required

Snowflake account

entitiesQuery.parts.inDataPlatform.identifier.snowflake.database
string
required

Snowflake database

entitiesQuery.parts.inDataPlatform.identifier.redshift.cluster
string
required

Redshift cluster

entitiesQuery.parts.inDataPlatform.identifier.redshift.database
string
required

Redshift database

entitiesQuery.parts.inDataPlatform.identifier.postgres.host
string
required

Postgres host inclusive of port

entitiesQuery.parts.inDataPlatform.identifier.postgres.database
string
required

Postgres database

entitiesQuery.parts.inDataPlatform.identifier.mysql.host
string
required

Mysql host inclusive of port

entitiesQuery.parts.inDataPlatform.identifier.databricks.workspace
string
required

URL of the databricks workspace

entitiesQuery.parts.inDataPlatform.identifier.dbtCloud.apiEndpoint
string
required

API endpoint for Dbt Cloud

entitiesQuery.parts.inDataPlatform.identifier.dbtCloud.accountId
string
required

Account ID

entitiesQuery.parts.inDataPlatform.identifier.dbtCloud.projectId
string
required

Project ID

entitiesQuery.parts.inDataPlatform.identifier.sqlMesh.defaultDatabaseInstance
string
required

Default database instance for SQL Mesh

entitiesQuery.parts.inDataPlatform.identifier.duckdb.motherduckAccount
string
entitiesQuery.parts.inDataPlatform.identifier.trino.coordinator
string
entitiesQuery.parts.inDataPlatform.identifier.mssql.host
string
required

SQL Server host

entitiesQuery.parts.inDataPlatform.identifier.mssql.database
string
required

Database name

entitiesQuery.parts.inDataPlatform.identifier.oracle.host
string
required

Oracle host

entitiesQuery.parts.inDataPlatform.identifier.oracle.serviceName
string
required

Oracle service name (PDB)

entitiesQuery.parts.inDataPlatform.identifier.athena.instance
string
required

AWS account and region the Athena workgroup runs in, formatted as "." (e.g. "123456789012.eu-west-1"). Auto-derived by SYNQ from sts:GetCallerIdentity at integration setup time.

entitiesQuery.parts.inDataPlatform.identifier.athena.catalog
string
required

Glue Data Catalog name. Almost always "AwsDataCatalog" — the default catalog for Athena unless the customer registered a federated catalog.

entitiesQuery.parts.inDataPlatform.identifier.synqIntegrationId
string

Coalesce Quality integration ID maps to the created integration on the Coalesce Quality platform.

entitiesQuery.parts.withDataPlatformType.types
enum<string>[]
Available options:
DATA_PLATFORM_TYPE_UNSPECIFIED,
DATA_PLATFORM_TYPE_BIGQUERY,
DATA_PLATFORM_TYPE_LOOKER,
DATA_PLATFORM_TYPE_DBT,
DATA_PLATFORM_TYPE_DBT_CLOUD,
DATA_PLATFORM_TYPE_DBT_SELF_HOSTED,
DATA_PLATFORM_TYPE_SNOWFLAKE,
DATA_PLATFORM_TYPE_GCP,
DATA_PLATFORM_TYPE_GIT,
DATA_PLATFORM_TYPE_GITHUB,
DATA_PLATFORM_TYPE_REDSHIFT,
DATA_PLATFORM_TYPE_TABLEAU,
DATA_PLATFORM_TYPE_AIRFLOW,
DATA_PLATFORM_TYPE_CLICKHOUSE,
DATA_PLATFORM_TYPE_POSTGRES,
DATA_PLATFORM_TYPE_MYSQL,
DATA_PLATFORM_TYPE_DATABRICKS,
DATA_PLATFORM_TYPE_SQLMESH,
DATA_PLATFORM_TYPE_DUCKDB,
DATA_PLATFORM_TYPE_TRINO,
DATA_PLATFORM_TYPE_ATLAN,
DATA_PLATFORM_TYPE_COALESCE,
DATA_PLATFORM_TYPE_CASTORDOC,
DATA_PLATFORM_TYPE_POWERBI,
DATA_PLATFORM_TYPE_THOUGHTSPOT,
DATA_PLATFORM_TYPE_SIGMA,
DATA_PLATFORM_TYPE_DOMO,
DATA_PLATFORM_TYPE_MSSQL,
DATA_PLATFORM_TYPE_ORACLE,
DATA_PLATFORM_TYPE_ATHENA,
DATA_PLATFORM_TYPE_SYNQ
entitiesQuery.parts.inFolder.path
string[]
entitiesQuery.parts.inDomain.domainId
string<uuid>
entitiesQuery.parts.query.operand
enum<string>

Defaults to AND if not specified.

Available options:
QUERY_OPERAND_UNSPECIFIED,
QUERY_OPERAND_AND,
QUERY_OPERAND_OR,
QUERY_OPERAND_EXCEPT,
QUERY_OPERAND_UPSTREAM,
QUERY_OPERAND_DOWNSTREAM
entitiesQuery.parts.unsupported.queryJson
string
time.field
enum<string>
Available options:
FIELD_UPDATED_AT,
FIELD_STARTED_AT
time.from.seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

time.from.nanos
integer<int32>

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive.

sort.sortBy
enum<string>
Available options:
FIELD_UPDATED_AT,
FIELD_STARTED_AT
sort.order
enum<string>
Available options:
ORDER_ASC,
ORDER_DESC
pagination.cursor
string

Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.

pagination.pageSize
integer<int32>

Maximum number of items to return in a single page. If not provided, defaults vary per API.

Required range: x >= 0
lifecycleState
enum<string>
deprecated

Filter by issue lifecycle state

Available options:
LIFECYCLE_STATE_UNSPECIFIED,
LIFECYCLE_STATE_UNTRIAGED,
LIFECYCLE_STATE_CLOSED,
LIFECYCLE_STATE_ONGOING_RESOLVED,
LIFECYCLE_STATE_ONGOING_DECLARED,
LIFECYCLE_STATE_ONGOING_STATUS_SET,
LIFECYCLE_STATE_AUTOTRIAGE_QUEUED,
LIFECYCLE_STATE_AUTOTRIAGE_ACTION_SUGGESTED
lifecycleStates
enum<string>[]

Filter by issue lifecycle states

Issue LifecycleState represents the current state of the issue in its life-cycle. The state is exclusively determined as per the priority which is in the order of the fields below.

Available options:
LIFECYCLE_STATE_UNSPECIFIED,
LIFECYCLE_STATE_UNTRIAGED,
LIFECYCLE_STATE_CLOSED,
LIFECYCLE_STATE_ONGOING_RESOLVED,
LIFECYCLE_STATE_ONGOING_DECLARED,
LIFECYCLE_STATE_ONGOING_STATUS_SET,
LIFECYCLE_STATE_AUTOTRIAGE_QUEUED,
LIFECYCLE_STATE_AUTOTRIAGE_ACTION_SUGGESTED
interactedBy.identities
string[]

Identity strings to match against the actor that performed the interaction. The caller is responsible for resolving a user to all their known identities (e.g. via GetUserIdentities or GetUserAliases + actoridentities.FromUserAliases()) before calling this API. Format: "synq:<user_id>", "email:", "slack:<slack_user_id>", etc.

Minimum array length: 1
interactedBy.statusChanges
boolean

Match issues where the user set a status (investigating, fixed, expected, etc.).

interactedBy.comments
boolean

Match issues where the user posted a comment.

interactedBy.activities
boolean

Match issues where the user has an activity record.

severities
enum<string>[]

Filter by issue severity. If empty, issues of any severity are returned.

Available options:
SEVERITY_UNSPECIFIED,
SEVERITY_INFO,
SEVERITY_WARN,
SEVERITY_ERROR,
SEVERITY_FATAL

Response

200 - application/json

Success

pageInfo
PageInfo · object
required

Paging information.

issueIds
string<uuid>[]